Docsite Title > com.package1 > com.package1.classComments

# Comments81.2.3

- Overview
- Methods

expand_more
class Comments8

The greatest breakthrough since ever.

Known subtypes:
Known usages:
All versions:

## Installation

Just follow these simple steps:

1. Install it
   1. I promise it's easy.
   2. You'll figure it out.
2. Install it

       name = "Pigeon"
       age = 42

3. Install it

Let me emphasize how simple this is.

😀😀😀 emoji day 😎😎😎 don't get 😡😡😡

## Code

The code is beautiful:

    /// example module
    module foo.bar

    person {
      name = "Pigeon"
      age = 42
    }

    function sing() = "tra-la-la"

    class Person {
      name: String
      age: Int
    }

## Random Tips

- don't give up
  - just don't
- don't give up

# Level 1

## Level 2

### Level 3

#### Level 4

##### Level 5

###### Level 6

## Methods(show inherited)

- link
  function
  Any.getClass(): Class (pkl.base) Source

  Returns the class of `this`.

- expand_more link
  function
  Any.toString(): String (pkl.base) Source

  Returns a string representation of `this`.

  This method is used to convert the values of string interpolation expressions to strings.

- expand_more link
  function
  Any.ifNonNull<Result>(transform: (NonNull) -> Result): Result? (pkl.base) Source

  Returns `this |> transform` if `this` is non-null, and `null` otherwise.

  This method is the complement of the `??` operator and the equivalent of an `Option` type's `map` and `flatMap` methods.

- link
  function
  Typed.hasProperty(name: String): Boolean (pkl.base) Source

  Tells if this object has a property with the given `name`.

- expand_more link
  function
  Typed.getProperty(name: String): unknown (pkl.base) Source

  Returns the value of the property with the given `name`.

  Throws if a property with this name does not exist.

- expand_more link
  function
  Typed.getPropertyOrNull(name: String): unknown? (pkl.base) Source

  Returns the value of the property with the given `name`.

  Returns `null` if a property with this name does not exist.

- link
  function
  Typed.toDynamic(): Dynamic (pkl.base) Source

  Converts this object to a `Dynamic` object.

- link
  function
  Typed.toMap(): Map<String, unknown> (pkl.base) Source

  Converts this object to a `Map`.